Subject: bug#73734: [PATCH] Fix tmm menu layout

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Oct 2024 19:14:08 +0300

> Date: Thu, 10 Oct 2024 15:53:12 +0200
> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Depending on the frame and font size, some tmm menus could be somewhat
> hard to read.  Here is what I get with the "Mark" menu from a Dired
> buffer:
> 
> The selection character could be mistaken for part of another
> keybinding.

What is the "selection character" in this image?

> This patch tries to solves this issue.

Can you tell how?  All I see is a different value for colwidth.  I
guess I'm missing something.

> Here, how I justify the modification of `colwidth':
> 
>       - I don't think we need the "(min 30)" part since, if the frame is
>         wide enough, we always get a colwidth of 30.
>         
>       - I don't think "(window-width)" is what we need since, by
>         default, the *Completions* buffer will use the full frame width.

Martin, is that guaranteed?

And even if it is, what's the harm in keeping window-width?

Finally, does this change some user-facing aspect of the tmm behavior?
If so, maybe we need a NEWS entry.

Thanks.